Name: fontconfig
Version: 2.2.1
Release: alt4.1

Summary: Font configuration and customization library & utilities
Group: System/Configuration/Other
License: MIT
Url: http://fontconfig.org/

Obsoletes: lib%name
Provides: lib%name = %version-%release

Source: http://fontconfig.org/release/fontconfig-%version.tar.bz2

Source1: fonts.conf

# Changes in the default config
Patch0: fontconfig-2.2.0-alt-conf.patch

Patch1: fontconfig-2.1-rh-slighthint.patch
# Blacklist certain fonts that freetype can't handle.
Patch2: fontconfig-2.1-rh-blacklist.patch
# Ignore .fulldir entries from earlier versions 'dircache' fix.
Patch3: fontconfig-2.1-rh-fulldir.patch
# Don't read from/write to NULL cache files.
Patch4: fontconfig-2.2.1-rh-cache.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%define freetype2_version 2.1.3

BuildPreReq: freetype2-devel >= %freetype2_version

# Automatically added by buildreq on Tue Dec 02 2003
BuildRequires: libexpat-devel zlib-devel

%description
Fontconfig is designed to locate fonts within the system and
select them according to requirements specified by applications.

%package devel
Summary: Development files for font configuration and customization library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the header files
and developer documentation for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%if_enabled static
%package devel-static
Summary: Static build of the font configuration and customization library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package includes the static libraries
for the fontconfig package.
%endif	# enabled static

%prep
%setup -q
#patch0 -p1 -b .patch-conf
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%define docdir %_docdir/%name-%version
%configure %{subst_enable static} \
    --disable-docs --with-docdir=%docdir \
    --with-default-fonts=%_datadir/fonts/default \
    --with-add-fonts=%_x11fontsdir/msttf,%_x11fontsdir/urw-ttf,%_x11fontsdir/Type1
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%__install -pm644 README AUTHORS COPYING ChangeLog \
    $RPM_BUILD_ROOT%docdir/

#our old fonts.conf
%__install -pm644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/fonts/

%post
%post_ldconfig
# Comment from RH maitainer:
# Force regeneration of all fontconfig cache files.
# The redirect is because fc-cache is giving warnings about ~/fc.cache
# the HOME setting is to avoid problems if HOME hasn't been reset
HOME=/root fc-cache -f 2>/dev/null

%postun -p %postun_ldconfig

%files
%_bindir/fc-cache
%_bindir/fc-list
%dir %_sysconfdir/fonts
%_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%config(noreplace) %_sysconfdir/fonts/local.conf
%_libdir/*.so.*
%_man5dir/*
%dir %docdir
%docdir/README
%docdir/AUTHORS
%docdir/COPYING
%docdir/ChangeLog
%docdir/fontconfig-user*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%_man3dir/*
%dir %docdir
%docdir/fontconfig-devel*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.1-alt4.1
- fix path to ms-fonts-ttf

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.1-alt4
- Ignore .fulldir entries from earlier versions 'dircache' fix (RH).
- Don't read from/write to NULL cache files (RH).
- Do not package .la files.

* Thu Oct 30 2003 AEN <aen@altlinux.ru> 2.2.1-alt3
- XLinSans is preferable Sans now

* Wed Jul 16 2003 AEN <aen@altlinux.ru> 2.2.1-alt2
- old fonts.conf restored

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 2.2.1-alt1
- 2.2.1
- mhz patches & spec

* Wed Jun 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.0-alt0.1
- New version
- Patch3 gone upstream
- Use default config with known-good preconfigured paths
- Disabled doc build broken too badly
- Cleaned up filelist
- Optional devel-static subpackage

* Sat Apr 12 2003 AEN <aen@altlinux.ru> 2.1-alt2
- dircahce patch from RH

* Fri Feb 28 2003 AEN <aen@altlinux.ru> 2.1-alt1
- new version

* Fri Jan 17 2003 AEN <aen@altlinux.ru> 2.0-alt12
- desplitting

* Sun Jan 05 2003 AEN <aen@altlinux.ru> 2.0-alt11
- lib%name required %name

* Wed Nov 20 2002 AEN <aen@altlinux.ru> 2.0-alt10
- path to jdk-fonts added to fonts.conf

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt9.1mhz
- libification (again)
- remove src/fclang.o to rebuild just it instead of all-out make clean

* Wed Nov 13 2002 AEN <aen@altlinux.ru> 2.0-alt9
- build fixed

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.0-alt8
- XLinSans & CourierCyr added to fonts.conf

* Fri Oct 11 2002 AEN <aen@altlinux.ru> 2.0-alt7
- fonts.conf changed again

* Thu Oct 10 2002 AEN <aen@altlinux.ru> 2.0-alt6
- ru.orth fix
- lang.h build

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 2.0-alt5
- gww-ttf removed from fonts.conf

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt4
- fonts.conf fixed

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt3
- patches & %post from RH

* Mon Sep 23 2002 AEN <aen@altlinux.ru> 2.0-alt2
- %files fixed

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 2.0-alt1
- release

* Tue Jul 02 2002 AEN <aen@logic.ru> 0.0.1-alt1
- first build for Sisyphus
- config patch (alt specific)

* Tue Jun 18 2002 Owen Taylor <otaylor@redhat.com>
- Fix crash from FcObjectSetAdd

* Tue Jun 11 2002 Owen Taylor <otaylor@redhat.com>
- make fonts.conf %%config, not %%config(noreplace)
- Another try at the CJK aliases
- Add some CJK fonts to the config
- Prefer Luxi Mono to Nimbus Mono

* Mon Jun 10 2002 Owen Taylor <otaylor@redhat.com>
- New upstream version
- Fix matching for bitmap fonts

* Mon Jun  3 2002 Owen Taylor <otaylor@redhat.com>
- New version, new upstream mega-tarball

* Tue May 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with FcConfigSort

* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile

